package com.caliverse.admin.domain.service;

import org.springframework.stereotype.Service;
import software.amazon.awssdk.services.dynamodb.model.AttributeValue;

import java.util.HashMap;
import java.util.Map;

@Service
public class DynamoDBAttributeCreateService {


    public Map<String, AttributeValue> makeItemAttributeKey(String userGuid, String itemGuid){
        Map<String, AttributeValue> itemAttributes = new HashMap<>();
        itemAttributes.put("PK", AttributeValue.builder().s("item#" + userGuid).build());
        itemAttributes.put("SK", AttributeValue.builder().s(itemGuid).build());
        return itemAttributes;
    }



}
